Passer au contenu principal
PATCH
/
creation
/
calendrier
/
coach
PATCH CalendrierCoachView
curl --request PATCH \
  --url https://dev.api.formapulse.formafoot.fr/creation/calendrier/coach \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form id=123 \
  --form start=2023-11-07T05:31:56Z \
  --form end=2023-11-07T05:31:56Z \
  --form 'color=<string>' \
  --form is_match=true \
  --form allDay=true \
  --form 'title=<string>' \
  --form seance_id=123 \
  --form sportifs=123 \
  --form sportifs_ids=123 \
  --form team_id=123 \
  --form questionnaire_id=123 \
  --form infrastructure_id=123 \
  --form events_ids=123 \
  --form 'eventType=<string>' \
  --form 'metadata={}' \
  --form 'tags=<string>' \
  --form documents_ids=123 \
  --form mappers_ids=123 \
  --form 'presences={}' \
  --form update_series=false \
  --form 'recurrence_series_id=<string>'
{}

Documentation Index

Fetch the complete documentation index at: https://formapulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Token JWT prefixe par 'JWT '. Exemple : Authorization: JWT eyJ0eXAiOi.... Token obtenu via POST /auth/jwt/create (djoser).

Corps

multipart/form-data

PATCH /calendrier. Comportement permissif (passthrough comme l'ancien DRF).

id
integer | null
start
string<date-time> | null
end
string<date-time> | null
color
string | null
is_match
boolean | null
allDay
boolean | null
title
string | null
seance_id
integer | null
sportifs
integer[] | null
sportifs_ids
integer[] | null
team_id
integer | null
questionnaire_id
integer | null
infrastructure_id
integer | null
events_ids
integer[] | null
eventType
string | null
metadata
Metadata · object
tags
string[]
documents_ids
integer[]
mappers_ids
integer[]
presences
Presences · object[]
update_series
boolean
défaut:false
recurrence_series_id
string | null

Réponse

Reponse de succes

The response is of type object.